# CLBufferRegion (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl.api
Class CLBufferRegion

    java.lang.Object
      org.lwjgl.opencl.api.CLBufferRegion

    public final class CLBufferRegion

extends java.lang.Object

Simple container for cl_buffer_region struct values.

Author:
  Spasi

Field Summary
`static int` `STRUCT_SIZE` The cl_buffer_region struct size in bytes.

Constructor Summary
`CLBufferRegion(int origin, int size)`

Method Summary
`int` `getOrigin()`
`int` `getSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCT_SIZE

    public static final int STRUCT_SIZE

  The cl_buffer_region struct size in bytes.

Constructor Detail

### CLBufferRegion

    public CLBufferRegion(int origin,
                          int size)

Method Detail

### getOrigin

    public int getOrigin()

### getSize

    public int getSize()

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.